Package com.sun.jna.platform.win32

## Class IPHlpAPI.IP_ADDR_STRING

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.IPHlpAPI.IP_ADDR_STRING

Direct Known Subclasses:
  `IPHlpAPI.IP_ADDR_STRING.ByReference`

Enclosing interface:
  IPHlpAPI

    @FieldOrder({"Next","IpAddress","IpMask","Context"})
    public static class IPHlpAPI.IP_ADDR_STRING
    extends Structure

The IP_ADDR_STRING structure represents a node in a linked-list of IPv4 addresses.

See Also:
  IP_ADDR_STRING

### Nested Class Summary

Nested Classes
`static class` `IPHlpAPI.IP_ADDR_STRING.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `Context`
`IPHlpAPI.IP_ADDRESS_STRING` `IpAddress`
`IPHlpAPI.IP_ADDRESS_STRING` `IpMask`
`IPHlpAPI.IP_ADDR_STRING.ByReference` `Next`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`IP_ADDR_STRING()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Next

    public IPHlpAPI.IP_ADDR_STRING.ByReference Next

#### IpAddress

    public IPHlpAPI.IP_ADDRESS_STRING IpAddress

#### IpMask

    public IPHlpAPI.IP_ADDRESS_STRING IpMask

#### Context

    public int Context

### Constructor Detail

#### IP_ADDR_STRING

    public IP_ADDR_STRING()